aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rw-r--r--po/init-po.sh4
-rw-r--r--po/update-pot.sh2
2 files changed, 6 insertions, 0 deletions
diff --git a/po/init-po.sh b/po/init-po.sh
index 0830875..6a1faff 100644
--- a/po/init-po.sh
+++ b/po/init-po.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+set -e
+
+test $# -gt 0 || { echo "usage: init-po.sh <language>" && exit 1; }
+
lang=$1
echo "$lang" >> po/LINGUAS
diff --git a/po/update-pot.sh b/po/update-pot.sh
index 6ceb21f..e29bfb1 100644
--- a/po/update-pot.sh
+++ b/po/update-pot.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
_xgettext() {
xgettext --package-name=weltschmerz -cTRANSLATORS "$@" -o po/weltschmerz.pot
}